User Service
List Personal Access Tokens
ListPersonalAccessTokens returns a list of Personal Access Tokens (PATs) for a user. PATs are long-lived tokens for API/script access, distinct from short-lived JWT access tokens.
Path Parameters
user*string
The user id.
Query Parameters
pageSize?integer
Optional. The maximum number of tokens to return.
Format
int32pageToken?string
Optional. A page token for pagination.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/users/string/personalAccessTokens"{
"personalAccessTokens": [
{
"name": "string",
"description": "string",
"createdAt": "2019-08-24T14:15:22Z",
"expiresAt": "2019-08-24T14:15:22Z",
"lastUsedAt": "2019-08-24T14:15:22Z"
}
],
"nextPageToken": "string",
"totalSize": 0
}{
"code": 0,
"message": "string",
"details": [
{
"@type": "string"
}
]
}